Subject: bug#39564: 28.0.50; read-key function do not display the prompt if called from read-from-minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Feb 2020 17:50:45 +0200

> Date: Tue, 11 Feb 2020 15:49:41 +0100
> From: Ergus via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> read-key function not display the prompt if called from
> read-from-minibuffer
> 
> In the current emacs master this issue breaks a package like ivy.
> 
> This has been discused in: https://github.com/abo-abo/swiper/issues/2444
> 
> As a test code provided by the ivy developer Oleh Krehel:
> 
> ```
> (let ((map (make-sparse-keymap)))
>    (define-key map (kbd "C-f") (lambda ()
>                                  (interactive)
>                                  (message "%S" (read-key "line1\nline2\nline3\nTest2: "))
>                                  (minibuffer-keyboard-quit)))
>    (read-from-minibuffer "Test1: " nil map))
> ```

I tried this, but without instructions how to reproduce the problem, I
cannot be sure I did the required gestures.  Just evaluating the above
in *scratch* and then typing C-f does show the prompt, IIUC what is
meant by that.

So please provide more detailed instructions to reproduce the issue.

Thanks.